package infoObjects;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * Clase que guarda el resultado de la ejecución de un único test
 * 
 * @author Enrique M.L
 */
public class InfoResult implements Serializable{
    
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * idTest guarda el id del test
	 */
	private Long idTest;
	/**
	 * resultTest guarda el stdout y stderr correspondientes a la ejecución del test
	 */
	private ArrayList<String> resultTest;
	
	/**
	 * Constructor de la clase Result
	 * 
	 * @param pidTest
	 * @param presultTest
	 */
	public InfoResult(Long pidTest, ArrayList<String> presultTest){
		idTest = pidTest;
		resultTest = presultTest;
	}
	
	public ArrayList<String> getResultTest(){
		return resultTest;
	}
	
	public Long getIdTest(){
		return idTest;
	}
	
    public String getOut(){
        return resultTest.get(0);
    }
    
    public String getErr(){
        return resultTest.get(1);
    }
	

}
